#!/bin/bash

mkdir ../VisionXTrial.app
mkdir ../VisionXTrial.app/Contents
mkdir ../VisionXTrial.app/Contents/MacOS
mkdir ../VisionXTrial.app/Contents/Resources

mv ../conf ../VisionXTrial.app/Contents/Resources/conf
mv ../database ../VisionXTrial.app/Contents/Resources/database
mv ../lib ../VisionXTrial.app/Contents/Resources/Java
mv ../licenses ../VisionXTrial.app/Contents/Resources/licenses
mv ../log ../VisionXTrial.app/Contents/Resources/log
mv ../rad ../VisionXTrial.app/Contents/Resources/rad
mv ../runtime ../VisionXTrial.app/Contents/Resources/runtime
mv ../*.html ../VisionXTrial.app/Contents/Resources/
mv ../*.pdf ../VisionXTrial.app/Contents/Resources/

cp visionx ../VisionXTrial.app/Contents/MacOS
cp visionx_en ../VisionXTrial.app/Contents/MacOS
cp Info.plist ../VisionXTrial.app/Contents/
cp PkgInfo ../VisionXTrial.app/Contents/
cp visionx.icns ../VisionXTrial.app/Contents/Resources

echo Setting directory access 
chmod 0700 ../VisionXTrial.app/Contents/Resources/database/data/

chmod 0770 ../VisionXTrial.app/Contents/Resources/database/bin/*

chmod 0770 ../VisionXTrial.app/Contents/Resources/runtime/bin/*
chmod 0775 ../VisionXTrial.app/Contents/Resources/runtime/lib/*

chmod 0770 ../VisionXTrial.app/Contents/MacOS/*

exit 0